REM: OMNIDOS.BAT
ECHO OFF
REM: Takes one more arguments and creates an appropriate initial 
REM: OMNIVIEW 'DOS' partition.  The order of the arguments to OMNIDOS
REM: are important, these arguments are:
REM: 
REM: 1) Number of K-bytes to allocate for the partition.
REM:    The argument must always be specified.
REM: 2) Arguments to OMNIVIEW/OMNIHIGH. All these arguments must 
REM:    be listed without any intervening white space. This 
REM:    argument is required if a Batch file is to be run in the 
REM:    initial partition.
REM: 3) Name of a Batch file to run in the initial partion, if 
REM:    any.
REM: 4) Arguments to the above batch file, if any.

if not '%1'=='' goto TEST_FOR_A_PROGRAM
ECHO OD.BAT: Must specify an initial partition size
goto DONE

:TEST_FOR_A_PROGRAM
c:
cd\ov

if not '%3'=='' goto RUN_A_PROGRAM
omnihigh /m:%1 %2 %COMSPEC% %ENVSZ%
goto DONE

:RUN_A_PROGRAM
omnihigh /m:%1 %2 %COMSPEC% %ENVSZ% /c %3 %4 %5 %6 %7 %8 %9

:DONE
call    overrlvl.bat

